#!/bin/bash
#
#  set the bounds
#
R=-R122.5W/115W/32.7N/38N
#
#  clean out old files
#
rm -f *.nc
rm -f *.grd
rm -f gmt*
#
# Use blockmean to avoid aliasing
gmt blockmean $R -I1m data.lluv -fg -i0,1,2,4 -W+s > blk.llu
gmt blockmean $R -I1m data.lluv -fg -i0,1,3,5 -W+s > blk.llv
gmt convert -A blk.llu blk.llv -o0-2,6,3,7 > blk.lluv
#
#  do the gridding. there are 2682 data so use about 1/4 this number of singular values
#
gmt gpsgridder $R -I1m -Gtmp_%s.nc blk.lluv -fg -Vl -Fd8 -Cn700+eigen.txt -S0.5
#
#  mask the grids
#
gmt grdlandmask -Gtmp_mask1.grd -Rtmp_u.nc -Df
gmt grdmask corner.ll -Gtmp_mask2.grd -Rtmp_u.nc -N1/0/0
gmt grdmath tmp_mask1.grd tmp_mask2.grd MUL 0 NAN = mask.grd
gmt grdmath tmp_u.nc mask.grd MUL = GPS_u.grd
gmt grdmath tmp_v.nc mask.grd MUL = GPS_v.grd
echo "Created GPS_u.grd and GPS_v.grd"

