% Test gpsgridder
% First prep the data in the shell script 01_prep_GPS.sh to give data.lluv file
lluv = load('data.lluv');
xid = lluv(:,1);  yid = lluv(:,2);
ui  = lluv(:,3);  vi  = lluv(:,3);
dr=8;   nu = 0.25;  dx=(1.0/60);
xod = -122.5:dx:-115; yod = 32.7:dx:40;
% Convert to km Flat Earth
xi = xid * 111.13 * cosd(0.5*(32.7+40));
yi = yid * 111.13;
xo = xod * 111.13 * cosd(0.5*(32.7+40));
yo = yod * 111.13;
% Run gpsgridder
[U, V] = gpsgridder (xo, yo, xi, yi, ui, vi, dr, nu);
figure(1); clf
subplot (2,1,1); pcolor (xo, yo, U); shading flat
subplot (2,1,2); pcolor (xo, yo, V); shading flat
